Как установить определенную версию reiserfsprogs?

Моя цель – удовлетворить требования к компиляции ядра Linux. Мне нужно reiserfsprogs> = 3.6.3. Я запускал sudo apt-get install reiserfsprogs . Тогда reiserfsck -V говорит 3.6.24. Затем я запускал apt-cache showpkg reiserfsprogs и он дал

Версии: 1: 3.6.24-3.1 (/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_xenial_main_binary-amd64_Packages) (/ var / lib / dpkg / status)

Моя цель здесь – установить определенную версию пакета, чтобы я мог запустить команду установки, как показано ниже. Тем не менее, я не понимаю эту версию файла с помощью : Что это?

sudo apt-get install reiserfsprogs=3.6.3-whateverPackageName

Почему я получаю, казалось бы, старую версию пакета? Как я могу перейти на требуемую минимальную версию?

  • Установка 14.04 из ubuntu-14.04-desktop-amd64.iso с pxe
  • Запустить vino-сервер в Ubuntu 16.04 lts
  • Как запустить пользовательскую службу
  • Ошибка systemd-timesyncd в контейнере OpenVZ
  • Таблица резервного копирования GPT повреждена. Исправление исчезнет при перезагрузке
  • Перенос прав доступа от root к постоянному пользователю
  • Как правильно проверить отравление кэша арп локально
  • Как настроить аудио для lubuntu минимальной установки
  • One Solution collect form web for “Как установить определенную версию reiserfsprogs?”

    Версия пакета кодирует несколько различных частей информации:

    • эпоха, перед двоеточием (0 по умолчанию, 1 в этом случае);
    • номер версии восходящего потока, между двоеточием и дефисом (3.6.24);
    • номер версии упаковки, после дефиса (3.1).

    Эпохи используются, когда восходящее версия не увеличивается по какой-либо причине. Номера версий, которые видны упаковочными инструментами, должны быть монотонно увеличиваться для новых версий, которые считаются обновлениями. В случае reiserfsprogs , в 2002 году версия перешла от 3.x.1b (с фактическим «x») до 3.6.2; 3.6.2 сортировки до 3.x.1b, поэтому была добавлена ​​эпоха – 1: 3.6.2 сортировки после 3.x.1b (что эквивалентно 0: 3.x.1b). Политика Debian содержит сведения (и относится также к версиям Ubuntu).

    Когда вы используете = синтаксис с инструментами, основанными на apt чтобы указать версию, которую вы хотите установить, вы не можете указать любую версию, которая вам нравится: инструменты позволяют выбирать между версиями, доступными в настроенных вами репозиториях. Ты можешь сказать

     sudo apt-get install reiserfsprogs=1:3.6.3-1 

    (это версия 3.6.3, которая появилась в архивах, в соответствии с изменением ), но это будет работать, только если apt-get сможет найти эту версию в своих репозиториях (что было невозможно в течение длительного времени – 3.6 .3 в этом году будет пятнадцать лет).

    Если вам действительно нужна старая версия пакета Debian, вы можете найти их на snapshot.debian.org . Архив выпусков Ubuntu доступен на old-releases.ubuntu.com . Тем не менее, ничто из этого не относится к reiserfsprogs 3.6.3.

    В соответствии с тем, что 3.6.24 новее 3.6.3, а текущая версия reiserfsprogs удовлетворяет вашим требованиям.

    Linux и Unix - лучшая ОС в мире.